{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'blogs/style.css' %}" />
{% endblock meta %}

{% block content %}
    <div class = "full-size d-flex flex-column justify-content-center align-items-center padding-4">
        <div class = "full-size d-flex flex-row justify-content-between align-items-center">
            <p id = "judul-index" class = "montserrat-bold large-font">Gagasan para penulis</p>
            <a href="{% url 'blogs:blogs-createBlog' %}" class="btn btn-warning montserrat-medium">Tulis gagasan baru ?</a>
        </div>
        {% if blogs %}
        <div class = "full-size d-flex flex-row justify-content-center align-items-center margin-top-4" style = "flex-wrap: wrap">
            {% for blog in blogs %}
            <div class="card margin-2" style = "width: 28%;">
                <img class="card-img-top" src="{{ blog.base64_thumbnail }}" alt="Card image cap">
                <div class="card-body">
                    <p class="card-title montserrat-semibold semi-large-font ">{{ blog.title }}</p>
                    <div class = "full-size d-flex flex-row justify-content-center align-items-center">
                        {% if request.user.is_authenticated %}
                            <form class = "d-flex flex-row justify-content-start align-items-center margin-right-4 full-size" style = "width: 100%" method = "POST" action = "{% url 'blogs:blogs-likeBlog' blog.id %}">
                                {% csrf_token %}
                                <button type="submit" class="btn btn-light" name = "{{ blog.id }}" value = "{{ blog.id }}">{{ blog.total_likes }} Suka</button>
                            </form>
                        {% endif %}
                        <a href="{% url 'blogs:blogs-blogDetail' blog.id %}" class="btn btn-dark montserrat-regular medium-font">
                            Detail
                        </a>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
        {% endif %}
    </div>
{% endblock content %}